VELARISAPI Docs
Api referencePolicies

Create a new policy

POST
/api/policy

Create a new organization insurance policy linked to a contract.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/policy" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "organizationId": "string",
  "contractId": "string",
  "partnerPolicyId": "string",
  "policyReference": "string",
  "name": "string",
  "coverage": {
    "contentsCoverage": 0,
    "liabilityCoverage": 0,
    "dwellingCoverage": 0,
    "totalCoverage": 0,
    "deductible": 0,
    "minimumClaim": 0,
    "coverageCurrency": "string",
    "endorsements": [
      "string"
    ],
    "endorsementSelections": [
      {}
    ]
  },
  "ratePerNight": 0,
  "ratePerMonth": 0,
  "ratePerReservation": 0,
  "lossFundRatePerNight": 0,
  "billingFrequency": "string",
  "rateTableVersions": [
    {}
  ],
  "eligibilityOverrides": {},
  "currency": "string",
  "termStart": "2019-08-24",
  "termEnd": "2019-08-24",
  "autoRenew": true,
  "enrolledProperties": [
    {
      "propertyId": "string",
      "propertyReferenceId": "string",
      "propertyName": "string",
      "enrolledDate": "2019-08-24",
      "unenrolledDate": "2019-08-24",
      "active": true,
      "rateOverridePerNight": 0,
      "planId": "string",
      "endorsementSelections": [
        {}
      ],
      "computedRatePerNight": 0,
      "computedRatePerMonth": 0
    }
  ],
  "activeEnrollments": [
    {
      "propertyId": "string",
      "propertyReferenceId": "string",
      "propertyName": "string",
      "enrolledDate": "2019-08-24",
      "unenrolledDate": "2019-08-24",
      "active": true,
      "rateOverridePerNight": 0,
      "planId": "string",
      "endorsementSelections": [
        {}
      ],
      "computedRatePerNight": 0,
      "computedRatePerMonth": 0
    }
  ],
  "status": "PENDING",
  "onboardingSource": "string",
  "productId": "string",
  "productCode": "string",
  "planId": "string",
  "appliesTo": "string",
  "supportedStates": [
    "string"
  ],
  "supportedCountries": [
    "string"
  ],
  "excludedPropertyTypes": [
    "string"
  ],
  "coveredCategories": [
    "string"
  ],
  "minNights": 0,
  "maxNights": 0,
  "categoryExclusions": [
    {}
  ],
  "selectedSelfCoverage": 0,
  "currentRenewalId": "string",
  "previousPolicyId": "string",
  "supersededByPolicyId": "string",
  "renewalNotice60SentAt": "2019-08-24T14:15:22Z",
  "renewalNotice30SentAt": "2019-08-24T14:15:22Z",
  "renewalNotice7SentAt": "2019-08-24T14:15:22Z",
  "renewalManualReviewFlaggedAt": "2019-08-24T14:15:22Z",
  "renewalCount": 0,
  "createdBy": "string",
  "createdDate": "2019-08-24T14:15:22Z",
  "lastModifiedBy": "string",
  "lastModifiedDate": "2019-08-24T14:15:22Z",
  "version": 0,
  "additionalInsureds": [
    {
      "name": "string",
      "relationship": "string",
      "effectiveFrom": "2019-08-24",
      "effectiveTo": "2019-08-24",
      "addedBy": "string"
    }
  ],
  "pricingSource": "COVERAGE_V4",
  "coverageV4Managed": true,
  "productLine": "string"
}